%% <CODES.html CODES Toolbox>: Other functions and utilities
%
% <html>
%   <style type="text/css">
%     span.string{color:#A020F0;font-family:monospace;}
%     p{text-align: justify;}
%   </style>
% </html>
%
% General purpose function aimed at improving user experience. Some of
% these functions provide added value to the native MATLAB functions.
%
% *Available Documentation*
%
% Functions
%
% * <mcmc.html mcmc>: Component Metropolis-Hastings Markov Chain Monte
% Carlo algorithm.
% * <multi_fmincon.html multi_fmincon>: Find minimum of constrained 
% nonlinear multivariable function using multiple starting points.
% * <grad_fd.html grad_fd>: Gradient of f at x using finite
% differences.
% * <hess_fd.html hess_fd>: Hessian of f at x using finite differences
%
% Utilities
%
% * <disp_box.html disp_box>: Framed text display
% * <disp_matrix.html disp_matrix>: Display matrix with labels
% * <linecount.html linecount>: Count number of lines in a file
% * <snapshot.html snapshot>: Save figure
% * <struct2nv.html struct2nv>: Convert structure to name-value pairs
% * <time.html time>: Display time in a user friendly format
% * <hist_fd.html hist_fd>: Histogram of probabilities plot with number of 
% bins defined by the Freedman-Diaconis rule
%
%%
% <html>Copyright &copy; 2015 Computational Optimal Design of Engineering Systems
% (CODES) Laboratory. University of Arizona.</html>
%%
%
% <html><table style="border: none">
%   <tr style="border: none">
%     <td style="border: none;padding-left: 0px;">
%       <a href ="http://codes.arizona.edu/"><img style="height: 50px;" src ="CODES_logo.png"></a>
%     </td><td style="border: none; vertical-align: middle;padding-left: 10px;">
%       <a href ="http://codes.arizona.edu/"><span style="font-weight:bold;font-family:Arial;font-size: 20px;color: #002147"><span style="color: #AB0520;">C</span>omputational <span style="color: #AB0520;">O</span>ptimal <span style="color: #AB0520;">D</span>esign of<br><span style="color: #AB0520;">E</span>ngineering <span style="color: #AB0520;">S</span>ystems</span></a>
%     </td><td style="border: none;padding-right: 0px;">
%       <a href = "http://www.arizona.edu/"><img style="height: 50px;" src = "AZlogo.png"></a>
%     </td>
%   </tr>
% </table></html>
